Bug 1694274 (CVE-2019-10255) - CVE-2019-10255 python-notebook: Open redirect vulnerability in the login page
Summary: CVE-2019-10255 python-notebook: Open redirect vulnerability in the login page
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2019-10255
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1694275
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-30 00:50 UTC by Pedro Sampaio
Modified: 2019-09-29 15:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:52:44 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2019-03-30 00:50:05 UTC
An Open Redirect vulnerability for all browsers in Jupyter Notebook before 5.7.7 and some browsers (Chrome, Firefox) in JupyterHub before 0.9.5 allows crafted links to the login page, which will redirect to a malicious site after successful login. Servers running on a base_url prefix are not affected.

Upstream patch:

https://github.com/jupyter/notebook/commit/08c4c898182edbe97aadef1815cce50448f975cb
https://github.com/jupyter/notebook/commit/70fe9f0ddb3023162ece21fbb77d5564306b913b
https://github.com/jupyter/notebook/commit/d65328d4841892b412aef9015165db1eb029a8ed

References:

https://github.com/jupyter/notebook/compare/05aa4b2...16cf97c
https://blog.jupyter.org/open-redirect-vulnerability-in-jupyter-jupyterhub-adf43583f1e4

Comment 1 Pedro Sampaio 2019-03-30 00:50:28 UTC
Created python-notebook tracking bugs for this issue:

Affects: fedora-all [bug 1694275]

Comment 2 Product Security DevOps Team 2019-06-10 10:52:44 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.